Subject: Re: lint failure for packages on load path specified with -L

From: Jack Hill <[email-masked]>
Date: Sun, 26 Jul 2020 23:36:12 -0400 (EDT)

I believe that this problem is in the formatting checker. As I understand 
it, that checker reads the actual sorece file. With that information, I 
tried re-running link the the full path passed to -L, and it works as 
expected:

guix lint -L /home/jackhill/lint-test my-hello

passing just the relative path, i.e. ./lint-test does not work. Passing 
the full path also changes the local reported by guix show.

It seems like canonicalizing the locad path is the right thing to do.

Thoughts?
Jack